Package de.willuhn.jameica.hbci.io.csv

# Class Profile

java.lang.Object
de.willuhn.jameica.hbci.io.csv.Profile

All Implemented Interfaces:
  `Serializable`, `Comparable`

public class Profile extends Object implements Serializable, Comparable
Bean fuer ein Profil zum Import von CSV-Dateien.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Profile()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`org.supercsv.prefs.CsvPreference`
`createCsvPreference()`
Erzeugt die passenden CSV-Preferences.
`boolean`
`equals(Object obj)`
`List<Column>`
`getColumns()`
Liefert die Liste der Spalten fuer das Profil.
`String`
`getFileEncoding()`
Liefert den Zeichensatz, der zum Einlesen der Datei verwendet werden soll.
`String`
`getName()`
Liefert den Namen des Profils.
`String`
`getQuotingChar()`
Liefert das Quoting-Zeichen fuer die Spalten.
`String`
`getSeparatorChar()`
Liefert das Spalten-Trennzeichen.
`int`
`getSkipLines()`
Liefert die Anzahl der zu ueberspringenden Zeilen.
`boolean`
`isInvert()`
Liefert true, wenn die Beträge invertiert werden sollen.
`boolean`
`isSystem()`
Liefert true, wenn es sich um ein System-Profil handelt.
`void`
`setColumns(List<Column> columns)`
Speichert die Liste der Spalten fuer das Profil.
`void`
`setFileEncoding(String s)`
Speichert den Zeichensatz, der zum Einlesen der Datei verwendet werden soll.
`void`
`setInvert(boolean invert)`
Speichert, ob die Beträge invertiert werden sollen.
`void`
`setName(String name)`
Speichert den Namen des Profils.
`void`
`setQuotingChar(String s)`
Speichert das Quoting-Zeichen fuer die Spalten.
`void`
`setSeparatorChar(String s)`
Speichert das Spalten-Trennzeichen.
`void`
`setSkipLines(int i)`
Legt fest, wieviele Zeilen am Anfang uebersprungen werden sollen.
`void`
`setSystem(boolean system)`
Legt fest, ob es sich um ein System-Profil handelt.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Profile

public Profile()

## Method Details

### getColumns

public List<Column> getColumns()
Liefert die Liste der Spalten fuer das Profil.

Returns:
  columns Liste der Spalten fuer das Profil.

### setColumns

public void setColumns(List<Column> columns)
Speichert die Liste der Spalten fuer das Profil.

Parameters:
  `columns` - Liste der Spalten.

### getSeparatorChar

public String getSeparatorChar()
Liefert das Spalten-Trennzeichen.

Returns:
  Spalten-Trennzeichen.

### setSeparatorChar

public void setSeparatorChar(String s)
Speichert das Spalten-Trennzeichen.

Parameters:
  `s` - Spalten-Trennzeichen.

### getQuotingChar

public String getQuotingChar()
Liefert das Quoting-Zeichen fuer die Spalten.

Returns:
  Quoting-Zeichen.

### setQuotingChar

public void setQuotingChar(String s)
Speichert das Quoting-Zeichen fuer die Spalten.

Parameters:
  `s` - Quoting-Zeichen.

### getSkipLines

public int getSkipLines()
Liefert die Anzahl der zu ueberspringenden Zeilen. Damit koennen ggf. vorhandene Ueberschriften uebersprungen werden.

Returns:
  Anzahl der zu ueberspringenden Zeilen.

### setSkipLines

public void setSkipLines(int i)
Legt fest, wieviele Zeilen am Anfang uebersprungen werden sollen.

Parameters:
  `i` - Anzahl der zu ueberspringen Zeilen.

### getFileEncoding

public String getFileEncoding()
Liefert den Zeichensatz, der zum Einlesen der Datei verwendet werden soll. Per Default wird das Plattform-Encoding zurueckgeliefert.

Returns:
  Zeichensatz.

### setFileEncoding

public void setFileEncoding(String s)
Speichert den Zeichensatz, der zum Einlesen der Datei verwendet werden soll. Per Default wird das Plattform-Encoding zurueckgeliefert.

Parameters:
  `s` - Zeichensatz.

### getName

public String getName()
Liefert den Namen des Profils.

Returns:
  der Name des Profils.

### setName

public void setName(String name)
Speichert den Namen des Profils.

Parameters:
  `name` - der Name des Profils.

### isSystem

public boolean isSystem()
Liefert true, wenn es sich um ein System-Profil handelt.

Returns:
  system true, wenn es sich um ein System-Profil handelt.

### setSystem

public void setSystem(boolean system)
Legt fest, ob es sich um ein System-Profil handelt.

Parameters:
  `system` - true, wenn es sich um ein System-Profil handelt.

### isInvert

public boolean isInvert()
Liefert true, wenn die Beträge invertiert werden sollen.

Returns:
  invert true, wenn die Beträge invertiert werden sollen.

### setInvert

public void setInvert(boolean invert)
Speichert, ob die Beträge invertiert werden sollen.

Parameters:
  `invert` - true, wenn die Beträge invertiert werden sollen.

### createCsvPreference

public org.supercsv.prefs.CsvPreference createCsvPreference()
Erzeugt die passenden CSV-Preferences.

Returns:
  die passenden CSV-Preferences.

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`